GNU bug report logs - #57643
[PATCH 0/3] Document the image API.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Mathieu Othacehe <othacehe@HIDDEN>; Keywords: patch; Done: Mathieu Othacehe <othacehe@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 57643-done <at> debbugs.gnu.org:


Received: (at 57643-done) by debbugs.gnu.org; 25 Sep 2022 11:54:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 25 07:54:09 2022
Received: from localhost ([127.0.0.1]:46027 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ocQD3-0002aU-47
	for submit <at> debbugs.gnu.org; Sun, 25 Sep 2022 07:54:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1ocQD0-0002Zx-Tg
 for 57643-done <at> debbugs.gnu.org; Sun, 25 Sep 2022 07:54:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41674)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1ocQCt-0000xL-GU; Sun, 25 Sep 2022 07:53:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=+6gwPjtZbWj2qgz2jA8nDr8w14UnR7PPgsSGZhrP0ts=; b=FOcE8lW+pQkfQd+JYTXu
 3XgeIicVRyns4hYhGpMzriSiMqSRxYED1DvaFQxrZ6A2Uh61fm3pFbvzbz0dVJoI6U81HTOsZgY/5
 mjWamAUQhtU23D7oW2nJ5pdTlJpXRBNlKhYVggQnTp8aRyJWawgnfgFl4FPoObA9EUgkCWKLEYR/Y
 gZOdbZtLZT/YbDK0lhoy6psssjADqm0wTAVJ6AKA6z4VxG0BGR6pmiy16xMaFVfxayaOCKNop53DN
 IY80iWzG95lLJWpy1lcuLoHcRxZac5cKyXxDZKniSfXdJv1dp2UHcoLyTkD6DnpR82ajtIDtI1OWC
 OO+jx9OcxskDMw==;
Received: from 2a02-8429-81d2-3d01-94c9-8097-ea5c-2775.rev.sfr.net
 ([2a02:8429:81d2:3d01:94c9:8097:ea5c:2775]:36332 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1ocQCt-00024K-04; Sun, 25 Sep 2022 07:53:59 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#57643: [PATCH 0/3] Document the image API.
References: <20220907124449.16904-1-othacehe@HIDDEN> <87illdaxe7.fsf@HIDDEN>
Date: Sun, 25 Sep 2022 13:53:54 +0200
In-Reply-To: <87illdaxe7.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Sat, 24 Sep 2022 12:18:24 +0200")
Message-ID: <87sfkfk6ul.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57643-done
Cc: 57643-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey,

> I sent mostly cosmetic comments.  It looks pretty much ready to go.

Pushed, thanks to all reviewers!

Mathieu




Notification sent to Mathieu Othacehe <othacehe@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Mathieu Othacehe <othacehe@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 24 Sep 2022 16:58:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 12:58:51 2022
Received: from localhost ([127.0.0.1]:45166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc8UN-0000I9-5l
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 12:58:51 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:39456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oc8UI-0000Hw-Pm
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 12:58:49 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by xavier.telenet-ops.be with bizsmtp
 id Psyi2800D20ykKC01syi64; Sat, 24 Sep 2022 18:58:45 +0200
Message-ID: <71a303b7-f438-c68b-60fd-50fd57a099e9@HIDDEN>
Date: Sat, 24 Sep 2022 18:58:42 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Content-Language: en-US
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
References: <20220907124633.17013-1-othacehe@HIDDEN>
 <20220907124633.17013-2-othacehe@HIDDEN> <87v8pdaxr6.fsf_-_@HIDDEN>
 <fc681d94-945f-6edc-1110-8fd844c37f73@HIDDEN> <87r10068bm.fsf@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#57643] [PATCH 0/3] Document the image API.
In-Reply-To: <87r10068bm.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------kCwf0Bk9b83Sdt0mvANa5eB0"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1664038725; bh=T32HcYxWOq+DvLx6TRc3XjQ3zvNkXEF4javIWXyxZ0s=;
 h=Date:To:Cc:References:From:Subject:In-Reply-To;
 b=nF2TCpietiv2f5xqDirGi2bvbBa7zuyFy9WELz8sNEietvAoxBeE+nT7bSV0C2bdE
 T49AJBEVFZz91+GgezZeWUdfjsbbvHcBWPJp3ZX5akFKaRG5OWBjbKSpAI0ZFkgK9X
 DLQlFWi9tyjIXNp24V27SIy/LS+wlQPKZR86CNaEUu1cwa3uVxixJpzduISMpl+YyX
 wMONUU5E3AJtasmkVS44rDduDuEcPczL1hHpVABsEq+seMyx3LIuCqhQWRKnhtIjaG
 yeQQdIZWsdyWkPNr2PGg0ZfsPdsZA/yvYDp4UDwFV57IQrfj6qjbr2KYX+Lk7UlWgQ
 6YQaWhrnc+D1Q==
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 57643
Cc: Mathieu Othacehe <othacehe@HIDDEN>, 57643 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------kCwf0Bk9b83Sdt0mvANa5eB0
Content-Type: multipart/mixed; boundary="------------Ymfqo80BtHSu5O4lqWNICbS0";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
Cc: Mathieu Othacehe <othacehe@HIDDEN>, 57643 <at> debbugs.gnu.org
Message-ID: <71a303b7-f438-c68b-60fd-50fd57a099e9@HIDDEN>
Subject: Re: [bug#57643] [PATCH 0/3] Document the image API.
References: <20220907124633.17013-1-othacehe@HIDDEN>
 <20220907124633.17013-2-othacehe@HIDDEN> <87v8pdaxr6.fsf_-_@HIDDEN>
 <fc681d94-945f-6edc-1110-8fd844c37f73@HIDDEN> <87r10068bm.fsf@HIDDEN>
In-Reply-To: <87r10068bm.fsf@HIDDEN>

--------------Ymfqo80BtHSu5O4lqWNICbS0
Content-Type: multipart/mixed; boundary="------------UorRYnL3oGd84b1cFaU0n1c5"

--------------UorRYnL3oGd84b1cFaU0n1c5
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64
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--------------UorRYnL3oGd84b1cFaU0n1c5
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------UorRYnL3oGd84b1cFaU0n1c5--

--------------Ymfqo80BtHSu5O4lqWNICbS0--

--------------kCwf0Bk9b83Sdt0mvANa5eB0
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYy83QgUDAAAAAAAKCRBJ4+4iGRcl7g3Z
AQCmOpQQX/eNBEzm6zqYcN4aXz7Qjq7LatnedLjR6TqizwEAowwQQOsWBL/FaFMp7ARq4Ezotjgj
60Qz+Foi5eO5RQ0=
=ryN+
-----END PGP SIGNATURE-----

--------------kCwf0Bk9b83Sdt0mvANa5eB0--




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 24 Sep 2022 16:33:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 12:33:44 2022
Received: from localhost ([127.0.0.1]:45122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc864-0005sM-B4
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 12:33:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1oc861-0005s4-N7
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 12:33:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58776)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oc85w-0003Jk-H8; Sat, 24 Sep 2022 12:33:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=nh6x2aFNShKISj2xnH4eN6rmFVzppJ6/FqU7/rUzKWo=; b=X7YlmIw238De9tIUO6Rf
 07ZH52yA5gpfH7rn31hwJqD68FkMwTc1WxzPa8JZDHDhIaMR9HGhtI/8/xDKZhqbPfIVo45EKR2Z7
 GQxEamFkaD7EJbnND8TmlYur1H+MzVwM4/riQZGknhcEVhRdX4VOUyioJovm/bM3xAztUMvRC4gsL
 4mMDf6InwQrNVlq0jiCu9W86dHS2M/Dxuv4siqAZk6W6a1rFhpbPQWZuqcvtWbjzl96dAUMvEYqb9
 igB/gMTd8KmQlpxp5zuMXpb3HK1bcM8zHRgxcjE+CgeJoCGwrCdX3xoUVTNEfyZOYqtE6cW3GTfSm
 lUsxhhq+8KO6jQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:59534
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oc85v-0004wt-HO; Sat, 24 Sep 2022 12:33:36 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#57643] [PATCH 0/3] Document the image API.
References: <20220907124633.17013-1-othacehe@HIDDEN>
 <20220907124633.17013-2-othacehe@HIDDEN> <87v8pdaxr6.fsf_-_@HIDDEN>
 <fc681d94-945f-6edc-1110-8fd844c37f73@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: Tridi 3 =?utf-8?Q?Vend=C3=A9miaire?= an 231 de la
 =?utf-8?Q?R=C3=A9volution=2C?= jour de
 la =?utf-8?Q?Ch=C3=A2taigne?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sat, 24 Sep 2022 18:33:33 +0200
In-Reply-To: <fc681d94-945f-6edc-1110-8fd844c37f73@HIDDEN> (Maxime Devos's
 message of "Sat, 24 Sep 2022 12:49:36 +0200")
Message-ID: <87r10068bm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57643
Cc: Mathieu Othacehe <othacehe@HIDDEN>, 57643 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Maxime Devos <maximedevos@HIDDEN> skribis:

> Proposal: rename the variable to x86-32-linux.  Likewise for the hurd.

While we=E2=80=99re discussing the color of the bikeshed :-), I=E2=80=99d l=
ike to point
out that =E2=80=9Cx86_32=E2=80=9D or =E2=80=9Cx86-32=E2=80=9D is not a thin=
g.  The official name is
either IA32 or, more specifically, i686, etc.  I=E2=80=99m in favor of stic=
king
to official (nick)names consistently.

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 24 Sep 2022 13:03:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 09:03:14 2022
Received: from localhost ([127.0.0.1]:42639 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc4oM-0001Jk-Dk
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 09:03:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1oc4oK-0001JW-Uy
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 09:03:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40144)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oc4oD-0005xn-Uh; Sat, 24 Sep 2022 09:03:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=UPRrmfpszBzgBKlZRIkv1FuM0EPDXBlsWgGgpoctSV0=; b=sKeHGZBxVMVbeDC+CI0s
 9EVvdgvwzu7Wz074Ax+zYpSrs9hKmuY6ekYg9I5/RjmyplFiwOek9AL29JO6luh8PX5yTHkYLmb/Y
 Qxj3Qrsk207v5uC2fuG8Zs1al/lRM0K/Qyv0l43aAATuiZ3J6ruqn/jK5+rqq6W//hvcv7BsH7ecK
 aUGsyja2HXGyU0QU8H51UcC1QGY1xVQgSjjzKUHwfZVIeOZlwdgTO9SGq33kX3R1om/8JOXYZA542
 PCVdcfizGsgc6hqK7yFYjVPKreZmlOdCVgL1w+QE78dCg3Cvm4S2NZZDKYvnbHxiBh2QCvt9ROrgU
 WDk5502pkmoVmw==;
Received: from 2a02-8429-81d2-3d01-94c9-8097-ea5c-2775.rev.sfr.net
 ([2a02:8429:81d2:3d01:94c9:8097:ea5c:2775]:57984 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oc4o9-0002VJ-67; Sat, 24 Sep 2022 09:03:05 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#57643] [PATCH 1/3] image: Make the operating-system field
 mandatory.
References: <20220907124449.16904-1-othacehe@HIDDEN>
 <20220907124633.17013-1-othacehe@HIDDEN>
 <467d8638-5078-f940-600a-6204ccdca993@HIDDEN>
Date: Sat, 24 Sep 2022 15:02:58 +0200
In-Reply-To: <467d8638-5078-f940-600a-6204ccdca993@HIDDEN> (Maxime Devos's
 message of "Sat, 24 Sep 2022 12:55:37 +0200")
Message-ID: <87pmfksz5p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57643
Cc: 57643 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey,

> The complexity of this 'without os' macro seems to come from accepting an 'os'
> and then throwing it away.  However, when there is an 'os', you might as well
> use 'image' directly, without 'image-without-os', so I think this macro can be
> simplified to:

Yeah this was mostly a good pretext to have fun with macros, I agree
your alternative makes more sense. I used your proposed approach instead.

> (IIUC, '(guix records)' will detect duplicate definitions of fields.)

It does.

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 24 Sep 2022 13:01:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 09:01:58 2022
Received: from localhost ([127.0.0.1]:42634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc4n7-0001Ha-UR
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 09:01:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36364)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1oc4n6-0001HM-A6
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 09:01:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56458)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oc4n0-0005lY-3f; Sat, 24 Sep 2022 09:01:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=H/H/uoFekmmCCZC7xtzMJU66SEuY6n8GZ2VOma3vMQ4=; b=JbXto1ArRgYtE8l52QaG
 ew2BVMGT+vG4LHNSAntB2hAJkFbYKO3P856AHbQggeOJIDKaJOo4xGUrbyUZxrwqb4IAd1coEI3Jg
 Wi4Xu7Z4efvCbZBbJA1/snYHqlWV6rTDwSDy1NqpNN1TyGgjwg2917ETu+OOPLe8uzYU/+BJO7dR6
 HnNihN0HEDrlr0gB+272MLaUgYYjzPhBnFaLkes70ISis4g7ljBjC+l9XB27WCgUC+YoyTHwMTTia
 qkYNGdp52RwV3AoOQuqWdWVd38EGTqxoC+4TdmQ988dRthphDQRHJ1eYe/w+wXBS6ALLUJOMgEtMG
 2Or+hxsi0cW0+g==;
Received: from 2a02-8429-81d2-3d01-94c9-8097-ea5c-2775.rev.sfr.net
 ([2a02:8429:81d2:3d01:94c9:8097:ea5c:2775]:49356 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oc4ms-00080E-0m; Sat, 24 Sep 2022 09:01:49 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#57643] [PATCH 0/3] Document the image API.
References: <20220907124633.17013-1-othacehe@HIDDEN>
 <20220907124633.17013-2-othacehe@HIDDEN> <87v8pdaxr6.fsf_-_@HIDDEN>
 <fc681d94-945f-6edc-1110-8fd844c37f73@HIDDEN>
Date: Sat, 24 Sep 2022 15:01:35 +0200
In-Reply-To: <fc681d94-945f-6edc-1110-8fd844c37f73@HIDDEN> (Maxime Devos's
 message of "Sat, 24 Sep 2022 12:49:36 +0200")
Message-ID: <87tu4xrknk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57643
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 57643 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello Maxime,

> Proposal: rename the variable to x86-32-linux.  Likewise for the hurd.

It makes sense to me. However, we would also have to rename accordingly
the "system" counterpart in (gnu packages bootstrap). Something to keep
in mind.

> Why is the endian mentioned for powerpc64le-linux and not powerpc (in the
> description and in the variable name)?  This looks inconsistent. (From wh=
at
> I've read, PowerPC has both a little-endian and a big-endian mode.)

Fixed.

> 'little endian' is an adjective here, so I think 'little-endian' would be
> appropriate here.

Fixed.

>>> +@defvr {Scheme Variable} hurd
>>> +Platform targeting x86 CPUs running GNU/Hurd.
>> Why is not called =E2=80=98i586-gnu=E2=80=99?
>
> How about x86-32-gnu, for the same reasons as i686-linux?

Also looks fine but has to be done at a larger scale like for the
x86-32-linux renaming.

Thanks for reviewing,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 24 Sep 2022 12:59:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 08:59:28 2022
Received: from localhost ([127.0.0.1]:42628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc4ki-0001Bv-BQ
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 08:59:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1oc4kc-0001Bf-FP
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 08:59:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45594)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oc4kW-0005Ir-8Y; Sat, 24 Sep 2022 08:59:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=FUtPVFV2rm0e9yEgGxkPnzIebIYK4ae6YnGb6cGu8wE=; b=PbCb5zu0fINf4e4Bho3I
 Pn8vA8Rti2fD7e4gyMCqf8TwVYX0OClH/G9prqwlgLNunbYIODncc5Q+SyD3AYxFc6++6yfsCPrHP
 deDTk3jepkuy3tPc/VNQs1lRjBP0wTNvRwmlWUWJPjkIvG/YHeO3fg+5RCR3CJ69JXF1B5j2VEjuW
 /29w1xn7Fco0uWWgQMDA6qCj3fqywiatHmlBbUpnSHMJCa3atXCcUuDHhPZR+kV6mTEh/uzf+bhVe
 PUkw36EKCOW1uleNM/zTdtUQNx4V/A3eAOBsSbT4BLI0qa+G2t+Mrp8yuTcvk7rCOeQQvdNUpGLF3
 j/C6kLfN3jCVmQ==;
Received: from 2a02-8429-81d2-3d01-94c9-8097-ea5c-2775.rev.sfr.net
 ([2a02:8429:81d2:3d01:94c9:8097:ea5c:2775]:46496 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oc4kV-0005Ox-IK; Sat, 24 Sep 2022 08:59:15 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#57643: [PATCH 0/3] Document the image API.
References: <20220907124449.16904-1-othacehe@HIDDEN> <87illdaxe7.fsf@HIDDEN>
Date: Sat, 24 Sep 2022 14:59:11 +0200
In-Reply-To: <87illdaxe7.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Sat, 24 Sep 2022 12:18:24 +0200")
Message-ID: <87y1u9rkrk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57643
Cc: 57643 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey Ludo,

> Great piece of work!  That will make things more approachable, and one
> can hope it will lead folks in the embedded or devops space to look more
> closely as what this has to offer.
>
> I sent mostly cosmetic comments.  It looks pretty much ready to go.

Many thanks for the in-depth review, as always. I fixed all your
comments. I also hope it will help people dive into the image creation
stuff.

The two big remaining areas left to be a credible alternative to
buildroot/Yocto and friends are in my opinion:

1. Be able to generate smaller images (without Guix/Guile), with
other init systems (initV, android init language), busybox, minimal
libc and so on.

2. Be able to cross-compile more packages (qt, gnome, ...).

Some work in perspective!

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 24 Sep 2022 12:51:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 08:51:22 2022
Received: from localhost ([127.0.0.1]:42623 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc4co-000112-Pj
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 08:51:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1oc4cj-00010j-Cl
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 08:51:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55544)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oc4cd-0004Fe-CF; Sat, 24 Sep 2022 08:51:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=acJ8t0p1/hzwEpfdooMm9O2/Yb2OBjITO4iq2Avx8ko=; b=iRfTQaH+zKgx7/jR349O
 45zNT6C9BJsoDnEwCViThiXr5R9qUdrSg5lKCy3f4LXQcCr9yvWSihVyiZltATJp6EpiiUL9fHah/
 lrItyFYkMiAyKgj+L1gBd9OWV1PZVuXdx/aiaD3THQTG/Le9YEUPkwzKtRkptUt8owuqfpSJsq5Wp
 d13oOW2u0WhgFjD+YlPZ7TmD5GZG2Ff2pzDCyiv0PNqguha+hPwuNcdqor4uW9TBWZfL45SzT/FMC
 Pfp6cXxGxLUGk3w2LIJpLrfh6Kt1FHvbttOj9c4T8EB8O6qCHFzJVrFC2wp+OFuoe88nsy/ETR5N6
 76ukNtkJp1KDjw==;
Received: from 2a02-8429-81d2-3d01-94c9-8097-ea5c-2774.rev.sfr.net
 ([2a02:8429:81d2:3d01:94c9:8097:ea5c:2774]:42358 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oc4cM-0001qn-16; Sat, 24 Sep 2022 08:51:06 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#57643: [PATCH 0/3] Document the image API.
References: <20220907124633.17013-1-othacehe@HIDDEN>
 <20220907124633.17013-2-othacehe@HIDDEN> <87v8pdaxr6.fsf_-_@HIDDEN>
Date: Sat, 24 Sep 2022 14:50:44 +0200
In-Reply-To: <87v8pdaxr6.fsf_-_@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s?=
 =?utf-8?Q?=22's?= message of "Sat, 24 Sep 2022 12:10:37 +0200")
Message-ID: <8735chszq3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57643
Cc: 57643 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey,

> Why is not called =E2=80=98i586-gnu=E2=80=99?
>
> Maybe you can write =E2=80=9CGNU/Hurd (also referred to as ``GNU'')=E2=80=
=9D to clarify
> the name.

I added a preliminary patch doing this rename.

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 24 Sep 2022 10:55:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 06:55:43 2022
Received: from localhost ([127.0.0.1]:42485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc2ox-00066J-8Y
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:55:43 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:37814)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oc2ou-00066A-KV
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:55:41 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by xavier.telenet-ops.be with bizsmtp
 id Pmve2800920ykKC01mveHD; Sat, 24 Sep 2022 12:55:39 +0200
Message-ID: <467d8638-5078-f940-600a-6204ccdca993@HIDDEN>
Date: Sat, 24 Sep 2022 12:55:37 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Content-Language: en-US
To: Mathieu Othacehe <othacehe@HIDDEN>, 57643 <at> debbugs.gnu.org
References: <20220907124449.16904-1-othacehe@HIDDEN>
 <20220907124633.17013-1-othacehe@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#57643] [PATCH 1/3] image: Make the operating-system field
 mandatory.
In-Reply-To: <20220907124633.17013-1-othacehe@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------P42VOFdsjNZ1j0TqyAks9z06"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1664016939; bh=+6x+8dIl2kYXVE8HMTjMLO5BY3hmo+tDvmtmmyy89bw=;
 h=Date:To:References:From:Subject:In-Reply-To;
 b=X+g0YJ7I+Udd+OZU3L43e813CkintH+yXMgwSqy3yxP5bEAPavfOch/rjtYpOHtMH
 x3OeASyhMpqicjtV3YVf3Dx+D2wxNRRolukM6PEFYuVSqF/XxPvzuyU6vDLhG9nmXB
 lUaCKgAaEX8ZMMpYF0PSxSVB4LjbpNM0t2r2DMrsiyLsC7DAQ7AD4w1d72dCURay9r
 lM0mTrl06WOPY5KlCGBUhsHEa9ErPXJzYVGeuiT4HJXTEbb3esJ79PfbKHvuomGGZM
 VmuCJ5x5yU6B2Udl0CUZS+dsO7IIugcFUjrqL/fR/CEg7HS8G5n0ZtDz4B66EkScZ1
 eERSLr+W+D12g==
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 57643
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------P42VOFdsjNZ1j0TqyAks9z06
Content-Type: multipart/mixed; boundary="------------6pj5At6pFmXPack9tTXNiYBW";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>, 57643 <at> debbugs.gnu.org
Message-ID: <467d8638-5078-f940-600a-6204ccdca993@HIDDEN>
Subject: Re: [bug#57643] [PATCH 1/3] image: Make the operating-system field
 mandatory.
References: <20220907124449.16904-1-othacehe@HIDDEN>
 <20220907124633.17013-1-othacehe@HIDDEN>
In-Reply-To: <20220907124633.17013-1-othacehe@HIDDEN>

--------------6pj5At6pFmXPack9tTXNiYBW
Content-Type: multipart/mixed; boundary="------------J9uSBjfG9vzQxT3001IOUjnH"

--------------J9uSBjfG9vzQxT3001IOUjnH
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64
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--------------J9uSBjfG9vzQxT3001IOUjnH
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------J9uSBjfG9vzQxT3001IOUjnH--

--------------6pj5At6pFmXPack9tTXNiYBW--

--------------P42VOFdsjNZ1j0TqyAks9z06
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYy7iKQUDAAAAAAAKCRBJ4+4iGRcl7pKN
AQCUVBfz8GnR1MCEx3wxsJXTehesLMXfNb2r6plarss3/QD+InHNAdLd7m2mJo49i15ua8V+Og8T
ibTRCnuthjp87wI=
=Biv8
-----END PGP SIGNATURE-----

--------------P42VOFdsjNZ1j0TqyAks9z06--




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 24 Sep 2022 10:49:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 06:49:43 2022
Received: from localhost ([127.0.0.1]:42476 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc2j9-0005x6-4q
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:49:43 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:39746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oc2j6-0005ww-Sq
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:49:41 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by baptiste.telenet-ops.be with bizsmtp
 id Pmpc2800N20ykKC01mpdLN; Sat, 24 Sep 2022 12:49:39 +0200
Message-ID: <fc681d94-945f-6edc-1110-8fd844c37f73@HIDDEN>
Date: Sat, 24 Sep 2022 12:49:36 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Content-Language: en-US
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>,
 Mathieu Othacehe <othacehe@HIDDEN>
References: <20220907124633.17013-1-othacehe@HIDDEN>
 <20220907124633.17013-2-othacehe@HIDDEN> <87v8pdaxr6.fsf_-_@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#57643] [PATCH 0/3] Document the image API.
In-Reply-To: <87v8pdaxr6.fsf_-_@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------Kz9CbTlbe6ueYCxSYHUePana"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1664016579; bh=r3lD6g7qYjhsTtJQHOXqWLqWX33SgIGTk92+AoFvuUc=;
 h=Date:To:Cc:References:From:Subject:In-Reply-To;
 b=QgsgRG8mO/xnnyrgWC6VIJgO0k0WTI8kIlcUDgrPiEs0gz96bd8+Dp3RqLoo72mn+
 s/jEtcbw9NqVDJuRixWQ80RK/ReVg3qhxuBl+QaklOxdL/qlLPCz68AhcmTx4ME7DY
 ezTWmo72JbsqqcZCe4ZGnop0TeIkCnX8FpUvbS0SNKiJ/TTxRVHIdRG0Gui+Dy+Lq/
 /7Hm1UmhpBSoglEccMwFCaTjuplN3Zg+tyPQAoQOH7SLMyFI1AxGsv0EbNr5Ubc0Jz
 eLVOGMo4IHsYQ4BbHij/HECNJuqwYhwwB5C1aS7aWv64gcOOU562S5nBNQ5TJ6oX4d
 LXhlkAPp78MTw==
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 57643
Cc: 57643 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------Kz9CbTlbe6ueYCxSYHUePana
Content-Type: multipart/mixed; boundary="------------DxQSoIkHORoxJEWBE9RIcR8E";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>,
 Mathieu Othacehe <othacehe@HIDDEN>
Cc: 57643 <at> debbugs.gnu.org
Message-ID: <fc681d94-945f-6edc-1110-8fd844c37f73@HIDDEN>
Subject: Re: [bug#57643] [PATCH 0/3] Document the image API.
References: <20220907124633.17013-1-othacehe@HIDDEN>
 <20220907124633.17013-2-othacehe@HIDDEN> <87v8pdaxr6.fsf_-_@HIDDEN>
In-Reply-To: <87v8pdaxr6.fsf_-_@HIDDEN>

--------------DxQSoIkHORoxJEWBE9RIcR8E
Content-Type: multipart/mixed; boundary="------------e6jCC6bjykhMBqKfzkaFBjOD"

--------------e6jCC6bjykhMBqKfzkaFBjOD
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64
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--------------e6jCC6bjykhMBqKfzkaFBjOD
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------e6jCC6bjykhMBqKfzkaFBjOD--

--------------DxQSoIkHORoxJEWBE9RIcR8E--

--------------Kz9CbTlbe6ueYCxSYHUePana
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYy7gwAUDAAAAAAAKCRBJ4+4iGRcl7v3J
AP43JAEqXMVMuh8XTO+is20rBlpqn7LyUIcKrbTHKEOXmQD/e/j5nsQ335vF+hAxgTrVJQXo69jO
Tz0T4/HaplJKjg8=
=Kp7l
-----END PGP SIGNATURE-----

--------------Kz9CbTlbe6ueYCxSYHUePana--




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 24 Sep 2022 10:18:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 06:18:35 2022
Received: from localhost ([127.0.0.1]:42403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc2F0-0004vd-M7
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:18:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60570)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1oc2Ez-0004vR-GM
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:18:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45962)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1oc2Eu-0006on-Ay
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:18:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=7G4Xu2NwKz+WVaRsoOydlF2cGo0DhPQjRdOxKQ3/PYE=; b=U1bNSQsn7fd57Mr9GejY
 ZeE/XSz4wW27JKDyg7wUek1ZWBEtetwfF7j3VSkTrJzLKeC00jDJFGIFiaNGGXA+FpTc+PpCM+l7N
 S5FF4JYl1PwK3eyS35RMP4CrxVzrhqFI75pj1UDMrid0rXmauOaMjxpGU6Q6eUeBVvKoqmPb79g0k
 Ri+9OInMfPYWENDwple9kSD6WThmOQXreijbO9uQflLjA6htg+YfQSHQZPZOWKrZJN+66nGI6TlnX
 4b2ylmMlyK/pnpCYVN4ze985ykRYRPrZ3Y8FwqVAxFwLX49eVbdBocTTmeoMzi2+nr0t9I4jRt0y4
 gBAvse04mDRuZA==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:51875
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oc2Et-0002L5-R1; Sat, 24 Sep 2022 06:18:28 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: bug#57643: [PATCH 0/3] Document the image API.
References: <20220907124449.16904-1-othacehe@HIDDEN>
Date: Sat, 24 Sep 2022 12:18:24 +0200
In-Reply-To: <20220907124449.16904-1-othacehe@HIDDEN> (Mathieu Othacehe's
 message of "Wed, 7 Sep 2022 14:44:49 +0200")
Message-ID: <87illdaxe7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57643
Cc: 57643 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Mathieu,

Mathieu Othacehe <othacehe@HIDDEN> skribis:

> I recently polished a bit the image API and added a new system test
> (gnu tests image) that is validating the image creation process
> itself with Guile-Parted.
>
> This series makes the operating-system field of the <image> record
> mandatory and adds two new chapters to the documentation: "Platforms"
> and "System Images".

Great piece of work!  That will make things more approachable, and one
can hope it will lead folks in the embedded or devops space to look more
closely as what this has to offer.

I sent mostly cosmetic comments.  It looks pretty much ready to go.

Thank you!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 24 Sep 2022 10:16:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 06:16:50 2022
Received: from localhost ([127.0.0.1]:42397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc2DK-0004sp-2L
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:16:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1oc2DH-0004sa-Vj
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:16:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56024)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oc2DC-0006Wo-E8; Sat, 24 Sep 2022 06:16:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=WXlJ/bGlsLWjrPWjs94Us0Rz/otM5EzHOTz3Rh6MX7Y=; b=lyhsTHJIsK7+b13QmK7v
 SWtzpN11t62WzQPQN47ZaMZT+8TFMNP/ljkX+d6GfYT5nfejRNrE9cIrnLfyLXC8cTCs0tq9ZTaFk
 q9tJUYnu52uRmuMknphRUOBctth/wznRn/6AGxr+D+cmkp2xW1zJuJvQm4TegXtvT5Rh0MSYTSP/A
 sgYaLokcmcBEWB1SH/raUZGUxxLvST5AETvD9/i4W+sn5yKnff59rh2LAcz6D2hsSFKX53S1qJlXs
 XruozvmjiHxQTOfKY8D174l0rw4srk2Vr8SniVUy57pJwzxhZ1p0B2M1/rXpzgkYBVSx1/8XS3oEv
 eDz8uhYxAVqg+Q==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:49276
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oc2D9-00027a-H4; Sat, 24 Sep 2022 06:16:40 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: bug#57643: [PATCH 0/3] Document the image API.
References: <20220907124633.17013-1-othacehe@HIDDEN>
 <f0b915a105da96897a7d02fc2304591021da421e.camel@HIDDEN>
Date: Sat, 24 Sep 2022 12:16:38 +0200
In-Reply-To: <f0b915a105da96897a7d02fc2304591021da421e.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Wed, 07 Sep 2022 20:34:47 +0200")
Message-ID: <87mtapaxh5.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57643
Cc: Mathieu Othacehe <othacehe@HIDDEN>, 57643 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Liliana Marie Prikler <liliana.prikler@HIDDEN> skribis:

> Am Mittwoch, dem 07.09.2022 um 14:46 +0200 schrieb Mathieu Othacehe:
>> Make the operating-system field mandatory as creating an image
>> without it
>> makes no sense. Introduce a new macro, image-without-os for the
>> specific cases
>> where the image is only created to be inherited from afterwards.
>>=20
>> * gnu/image.scm (<image>)[operating-system]: Make it mandatory.
>> * gnu/system/image.scm (image-without-os): New macro.
>> (efi-disk-image, efi32-disk-image, iso9660-image, docker-image,
>> raw-with-offset-disk-image): Use it.
>> * gnu/system/images/hurd.scm (hurd-disk-image): Ditto.
> IMHO adding a new macro is a bit much.  Can't we simply add an empty
> image from which the others are derived or use (operating-system #f)
> literally?  (Alternatively to #f you might prefer "none" as syntactic
> sugar.)

I sympathize with what you write, though I don=E2=80=99t have a strong opin=
ion.

> I do agree with making operating-system mandatory, though.

Same here!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 24 Sep 2022 10:16:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 06:16:04 2022
Received: from localhost ([127.0.0.1]:42393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc2CZ-0004rp-NH
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:16:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1oc2CY-0004r6-3h
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:16:02 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60114)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1oc2CS-0006OP-Mz
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:15:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=bf/pb2IAKB+Bomsx6CtM6yMsWUUKnfWXU/OspjKr2XU=; b=Zwfq57kngTv39F7G9Sub
 xxAPvXja9oXJ2acIo6qgk1+1q+DNbmVkZr/n2efpmaLD3Isk8uwkr0UbtNcCbrwu5uLuFnrVuxhcm
 gPHnDNPt4G/yurKhob/PKpM7BAFZsdWv0EnjGPihpo9kHbCuDDe9nEKN3FizZeCdoFOmzJ3CPpb8f
 GdNfgHqfoqdl13gc45PSZVTVbOBXccIlnQKx2u9XvxMJSRvoVbrbr1M1JLU96SmDUElM5oXf+lFTp
 FzjsHNmpG+/me3TVKw96qsxzFJa6JZQ7p1a0JMxUhY+evT2XeYmGcQ5xGvA4iFmjy89VdSidMno0J
 eKe/tk/BU8QYkA==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:50297
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oc2Bv-00020Q-Ju; Sat, 24 Sep 2022 06:15:23 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: bug#57643: [PATCH 0/3] Document the image API.
References: <20220907124633.17013-1-othacehe@HIDDEN>
 <20220907124633.17013-3-othacehe@HIDDEN>
Date: Sat, 24 Sep 2022 12:15:21 +0200
In-Reply-To: <20220907124633.17013-3-othacehe@HIDDEN> (Mathieu Othacehe's
 message of "Wed, 7 Sep 2022 14:46:33 +0200")
Message-ID: <87r101axja.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57643
Cc: 57643 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Mathieu Othacehe <othacehe@HIDDEN> skribis:

> * doc/guix.texi ("System Images"): New chapter.

[...]

> +@node Instantiate an Image
> +@section Instantiate an Image
> +
> +Let's say you would like to create an MBR image with three distinct
> +partitions:
> +
> +@itemize
> +@item ESP vfat partition of 40MiB at offset 1024KiB.

Maybe:

  @item The @acronym{ESP, EFI System Partition}, a partition of
  40@tie{}MiB at offset 1024@tie{}KiB with a vfat file system.

> +@item DATA ext4 partition of 50MiB containing a dummy data file.

  @item an ext4 partition of =E2=80=A6 data file, and labeled ``data''.

> +@item ROOT ext4 bootable partition containing the @code{%simple-os}

Likewise.

This section looks great!




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 24 Sep 2022 10:11:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 06:11:19 2022
Received: from localhost ([127.0.0.1]:42388 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc27y-0004kS-Po
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:11:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34380)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1oc27w-0004kE-84
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:11:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51478)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1oc27q-0005gK-UF
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:11:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=1DQl8CPpJqDJv7Ihp6b/152N3je+ZrTv6yCKIHAoSmA=; b=qrW1a/fBZnufutIxOQv4
 UKm8djOZDloSgREUG2SRgpjJA6Efo24TMZtxL4Dlmkt/RbzgsQgkeK6eheAtT5vvPJfAIgV98ubsL
 koQshZhfezauyVGob1nruYZkGd81PJGWvB4AXKMt6c7YpVdbBA87pl/wpOH0yP0pOrsQp69GTipxN
 2FFL/Igi7b8oocHknMzcOFsOOZPj+/V+SVHfGJjRuLs5biQ6UbpTt0NSjo67vluYELO5QAxlwv1nm
 IFOBuLGa5+QHy8CY7TxTkjEoqpN/ct0WrnTE451608OS8oFYHNEKNafzgPeigXm0vvpCPnn96ObXF
 AZNfSzFOyZ7CLA==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:52778
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oc27L-0000Yj-0T; Sat, 24 Sep 2022 06:10:49 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: bug#57643: [PATCH 0/3] Document the image API.
References: <20220907124633.17013-1-othacehe@HIDDEN>
 <20220907124633.17013-2-othacehe@HIDDEN>
Date: Sat, 24 Sep 2022 12:10:37 +0200
In-Reply-To: <20220907124633.17013-2-othacehe@HIDDEN> (Mathieu Othacehe's
 message of "Wed, 7 Sep 2022 14:46:32 +0200")
Message-ID: <87v8pdaxr6.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57643
Cc: 57643 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Mathieu Othacehe <othacehe@HIDDEN> skribis:

> +The packages and systems built by Guix are intended, like most computer
> +programs, to run on a CPU with a specific instruction set.  Those

s/instruction set/instruction set, and under a specific operating system/

> +@node platform Reference
> +@section @code{platform} Reference
> +
> +@deftp {Data Type} platform

Please add a couple of lines above, like =E2=80=9CThe @code{platform} data =
type
describes a @dfn{platform}: an @acronym{ISA, instruction set
architecture}, combined with an operating system and possibly additional
system-wide settings such as the @acronym{ABI, application binary
interface}.=E2=80=9D

> +This is the data type representing a platform.
> +
> +@table @asis
> +@item @code{target}
> +The 'target' field must be a valid
> +@uref{https://www.gnu.org/software/autoconf/manual/autoconf-2.68/html_no=
de/Specifying-Target-Triplets.html,
> +GNU triplet}, as a string.

Rather:

  This field specifies the platform's GNU triplet as a string
  (@pxref{Specifying Target Triplets, GNU configuration triplets,,
  autoconf, Autoconf}).

> It can be for instance,
> +@code{"aarch64-linux-gnu"} and is used for cross-compilation purposes
> +(@pxref{Cross-Compilation}).
> +
> +@item @code{system}
> +The name of the corresponding system as defined in the @code{(gnu
> +packages bootstrap)} module.

Maybe:

  This string is the system type as it is known to Guix and passed,
  for instance, to the @option{--system} option of most commands.

  It usually has the form @code{"@var{cpu}-@var{kernel}"}, where
  @var{cpu} is the target CPU and @var{kernel} the target operating
  system kernel.

(I don=E2=80=99t think the (gnu packages bootstrap) is all that important w=
hen
explaining this.)

> It can be for instance
> +@code{"aarch64-linux"} or @code{"armhf-linux"}.

OK.

> It is used to emulate a
> +different host architecture, for instance @code{"i686-linux"} on
> +@code{"x86_64-linux"}, or @code{"armhf-linux"} on @code{"x86_64-linux"},
> +using the QEMU binfmt transparent emulation mechanism (@pxref{Native
> +Builds}).

If =E2=80=9CIt=E2=80=9D denotes =E2=80=9Cthe =E2=80=98system=E2=80=99 field=
=E2=80=9D, then this is incorrect.  :-)
I=E2=80=99m also unsure this is the right place to discuss emulation.

I would either drop this part or make it like =E2=80=9CYou will encounter s=
ystem
types when you perform native builds (@pxref{Native Builds}).=E2=80=9D and =
leave
it at that.  WDYT?

> +@item @code{linux-architecture} (default: @code{#false})
> +This optional string field is only relevant if the kernel is Linux.  In
> +that case, it corresponds to the ARCH variable used when building Linux,
> +@code{"mips"} for instance.
> +
> +@item @code{glibc-dynamic-linker}
> +This field is the name of Glibc's dynamic linker for the corresponding
> +system, as a string.  It can be @code{"/lib/ld-linux-armhf.so.3"}.

Instead of =E2=80=9CGlibc=E2=80=9D, I suggest writing =E2=80=9Cthe GNU C Li=
brary=E2=80=9D, =E2=80=9Cthe C
library=E2=80=9D, or =E2=80=9Cglibc=E2=80=9D as a last resort.

> +@node Supported Platforms
> +@section Supported Platforms
> +
> +@defvr {Scheme Variable} armv7-linux

Add a couple of lines above, like =E2=80=9CThe XXX module exports the follo=
wing
variable, each of which is bound to a @code{platform} record.=E2=80=9D

> +Platform targeting ARM v7 CPUs running GNU/Linux.
> +@end defvr
> +
> +@defvr {Scheme Variable} aarch64-linux
> +Platform targeting ARM v8 CPUs running GNU/Linux.
> +@end defvr
> +
> +@defvr {Scheme Variable} mips64-linux
> +Platform targeting MIPS 64 bits little endian CPUs running GNU/Linux.

General note: write =E2=80=9Ca 64-bit CPU=E2=80=9D (hyphen, singular).

> +@defvr {Scheme Variable} i686-linux
> +Platform targeting x86 CPUs running GNU/Linux.

x/x86/Intel/?

> +@defvr {Scheme Variable} x86_64-linux
> +Platform targeting x86 64 bits CPUs running GNU/Linux.

Or x86_64?

> +@defvr {Scheme Variable} i686-mingw
> +Platform targeting x86 CPUs running WIN32.
> +@end defvr
> +
> +@defvr {Scheme Variable} x86_64-mingw
> +Platform targeting x86 64 bits CPUs running WIN32.

s/running WIN32/running Windows, with run-time support from MinGW/

> +@defvr {Scheme Variable} hurd
> +Platform targeting x86 CPUs running GNU/Hurd.

Why is not called =E2=80=98i586-gnu=E2=80=99?

Maybe you can write =E2=80=9CGNU/Hurd (also referred to as ``GNU'')=E2=80=
=9D to clarify
the name.

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 24 Sep 2022 09:55:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 05:55:39 2022
Received: from localhost ([127.0.0.1]:42372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc1sp-0004MU-Nq
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 05:55:39 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36474)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1oc1sn-0004MH-Sm
 for 57643 <at> debbugs.gnu.org; Sat, 24 Sep 2022 05:55:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35884)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oc1si-0003fP-Le; Sat, 24 Sep 2022 05:55:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=6z6BaDnwrqZhRi/21l2BDgrJY6vnW+bW3ERKuRd0oHk=; b=iRa5cmbzsD4CI6e1EGvm
 l0LhCF8LurcJIPhHiExrreV0JEPdE1T8hGaykHFR6yG7pZAC8+cRc3pRf0KhgTSUxe5NuIk8DEZu7
 ZSuldTjT898rVqk9YdHLU9VPwwEtGhr4HbBqY22SYSA5NTNHauOXU6YEkcPrOSaxsY35yLE6TmAVm
 FIymueqwb6dTKfnblq49ljyuNmtjMb5FVG1S4a0oL1+yevuk9LrRFef2lI9no3hjESSeoNCTTIC4F
 gDxYs6VrNYdZZMxpFVMoQDWwHdcuX1y1fJ55T+mUoAEDNheQoRcSUOEn7jMtJdXj3BkB2NeYWxhbM
 qQLZSL3oEkYYxw==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:55150
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oc1si-0004c4-5V; Sat, 24 Sep 2022 05:55:32 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#57643: [PATCH 0/3] Document the image API.
References: <20220907124633.17013-1-othacehe@HIDDEN>
 <20220907124633.17013-2-othacehe@HIDDEN> <867d2fyz3m.fsf@HIDDEN>
Date: Sat, 24 Sep 2022 11:55:30 +0200
In-Reply-To: <867d2fyz3m.fsf@HIDDEN> (zimoun's message of "Wed, 07 Sep 2022
 17:37:49 +0200")
Message-ID: <8735chcd0t.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57643
Cc: Mathieu Othacehe <othacehe@HIDDEN>, 57643 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

zimoun <zimon.toutoune@HIDDEN> skribis:

> On Wed, 07 Sep 2022 at 14:46, Mathieu Othacehe <othacehe@HIDDEN> wrote:
>
>> +* platform Reference::          Detail of platform declarations.
>     -^
> Why not P?

Because it=E2=80=99s the reference of the =E2=80=98platform=E2=80=99 data t=
ype.  :-)

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 7 Sep 2022 18:34:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 14:34:56 2022
Received: from localhost ([127.0.0.1]:56258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVzt2-000825-1C
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 14:34:56 -0400
Received: from mail-ej1-f66.google.com ([209.85.218.66]:33647)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oVzt0-00081s-ET
 for 57643 <at> debbugs.gnu.org; Wed, 07 Sep 2022 14:34:54 -0400
Received: by mail-ej1-f66.google.com with SMTP id z17so4259949eje.0
 for <57643 <at> debbugs.gnu.org>; Wed, 07 Sep 2022 11:34:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:references
 :in-reply-to:date:to:from:subject:message-id:from:to:cc:subject:date;
 bh=86KZ5O5aNR177w0kWYKV5CBqQAsUeEwZaU4jWicM0mc=;
 b=Bz0vNaFYEeEen6uUDGKmtOtw38riXAbzWhFyYF55eb8sbUQtOOgCslHtQHmHck8GhS
 Gk6JnmRvksikN/HAfIGoGBMCM/GDa+Eqymlg20sUXPnjeA2S2ctXDhv0G0hm+04UyjL9
 mLv8MrxVDz5WrUL/kgn3xtGhkeTNNr6dADoiNorhrpKMLk1KX5qt4TucLwYZIOOrHnMR
 6I3afd3ccyUZ8pBvN1YcgqTHd3ci1SnVN8mDfwbOJLLWZ3gXpbRErVqVJHfBnRWpFXL4
 kGA+3EB6jGvwnyMrm8us/IELVLG06CsM4TC59NV/HcAl67uYNuKjbr8UvVScQWw5yel2
 V0Rw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:references
 :in-reply-to:date:to:from:subject:message-id:x-gm-message-state:from
 :to:cc:subject:date;
 bh=86KZ5O5aNR177w0kWYKV5CBqQAsUeEwZaU4jWicM0mc=;
 b=tJDIFQPe67mQ09BAEe8sa1lgFjkHNU0z24CO+bpHFTVB481Ky20vwJer6poOKlVD0e
 YYmmxi3+gHZz4enUZ00jbekYnkm1yBr7nWIAKtQLDLP76du1Doxv9dDPfSPnlGiwo+97
 GDhYiMpFVWWQznPNsgvhOyQnYIBD9+fbF4QourZrpBWMjrEeUUdtbEGOHp6OmVg4/uKs
 XeTBgZTemhhL87mnFFFjgC/fl0IdAsuS3ZKCb6GVZhLCqLzcXKIzIwKW1iPzbHNHreMV
 BA734n5R7lYwB0oQ/GwEMRwbLixr3yvD1lz7/04vHQiwjwM4LDrljSqMbIM3uvmd0l1x
 KXLQ==
X-Gm-Message-State: ACgBeo3G6/OR0Bmca7J00NOQHSeMARWJXhyaDF3vIEPDNtLd1RkTxBpP
 k/1WjmjIblh60yc7K5VjgqgWNp4jQ+c=
X-Google-Smtp-Source: AA6agR6Vcq6fYeCNR3bwNd7bsOuPyVBvXMFusWIFlCIyJjB8hfahQ3gOfriB+XbG4AJCnqUpGM4Spw==
X-Received: by 2002:a17:907:6094:b0:73d:9c6b:35f5 with SMTP id
 ht20-20020a170907609400b0073d9c6b35f5mr3106838ejc.140.1662575688428; 
 Wed, 07 Sep 2022 11:34:48 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 m18-20020a1709061ed200b0073dc6def190sm71631ejj.158.2022.09.07.11.34.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 07 Sep 2022 11:34:48 -0700 (PDT)
Message-ID: <f0b915a105da96897a7d02fc2304591021da421e.camel@HIDDEN>
Subject: Re: [PATCH 1/3] image: Make the operating-system field mandatory.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>, 57643 <at> debbugs.gnu.org
Date: Wed, 07 Sep 2022 20:34:47 +0200
In-Reply-To: <20220907124633.17013-1-othacehe@HIDDEN>
References: <20220907124633.17013-1-othacehe@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57643
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Am Mittwoch, dem 07.09.2022 um 14:46 +0200 schrieb Mathieu Othacehe:
> Make the operating-system field mandatory as creating an image
> without it
> makes no sense. Introduce a new macro, image-without-os for the
> specific cases
> where the image is only created to be inherited from afterwards.
> 
> * gnu/image.scm (<image>)[operating-system]: Make it mandatory.
> * gnu/system/image.scm (image-without-os): New macro.
> (efi-disk-image, efi32-disk-image, iso9660-image, docker-image,
> raw-with-offset-disk-image): Use it.
> * gnu/system/images/hurd.scm (hurd-disk-image): Ditto.
IMHO adding a new macro is a bit much.  Can't we simply add an empty
image from which the others are derived or use (operating-system #f)
literally?  (Alternatively to #f you might prefer "none" as syntactic
sugar.)

I do agree with making operating-system mandatory, though.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 7 Sep 2022 15:53:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 11:53:46 2022
Received: from localhost ([127.0.0.1]:55890 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVxN4-0003jg-K5
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 11:53:46 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:34728)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1oVxN3-0003jP-K0
 for 57643 <at> debbugs.gnu.org; Wed, 07 Sep 2022 11:53:46 -0400
Received: by mail-wr1-f45.google.com with SMTP id d2so4013270wrn.1
 for <57643 <at> debbugs.gnu.org>; Wed, 07 Sep 2022 08:53:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=UsBvbMu+EBfSIDwXCBVy0nPG7zQspIvgRl4iGoICFe0=;
 b=DSfWnlKE/Jx0GR1PcsftW4tAubTLHNBt65rV2kjIKgSIyuXwouWyUu7S19TumpAqfe
 J/iagyRK/Mhi4LHe9bPwIDAsqbyXdNtDuXkB6Uf9Bt1guvSWcSBGVcCMlAPubAMbnK+0
 iBgzqagh6YpG+UqU9aFidJSyXuIFg1SIiQKSr3uKchNT5R9BbWmP9Sx+MQ1rmODBQczN
 Avxouyyx/jg92bhgndp/AaFnNSRhyz1O6kx8maNAWUoTk9/3lEwMhW/xdUY+LR/yXsEZ
 JZTWxuKOMmm8qOLQWke1u2nSFFmD+YEDFEBWyPxLZIPdaEzfSf1FMEoZ39E7NRfmTLsA
 4BMw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date;
 bh=UsBvbMu+EBfSIDwXCBVy0nPG7zQspIvgRl4iGoICFe0=;
 b=zQGYGk3mgxxlTQEYOm5gkTagtJdcyUNJ5AA2ppZM57E/ShXtNQewPivv+Z8/uMU4QL
 VbgDsMSPvXkxt8ZudkJdunKteFY30SNOYQZSqVabJGRz6jrlZ9Z5CW6QGRav5D10wSsJ
 B1R5AV2eBkKRIm/QvkOf8JZHWK8EUALeCJ6AuTrqouLVdYPjkHpkkDWWkL6yI3kMC6cH
 QlpX8o1zrvQvYar1np5tu2m3zBhSxdlfFETOyur+J4bnUfceheLa9G9K2YjtRDcDHVnF
 EAviUVyKbMR9y6do4fvkTp9EjjMz4wgVt/BMIa+PBOMKG9VxU8ZYJLzuv8fvQU0jv0t0
 y70g==
X-Gm-Message-State: ACgBeo1VU6/GhSpiAOT6yfdaSaDDQYYzMxpHFJ3o3KB2gqjpCuJHH+hu
 0s4SHcezsGAObslOVIlWTCC2mjo/qAI=
X-Google-Smtp-Source: AA6agR7rdLUE2xz6ua/LVKpzLGvHwd8IxTb1n7BU3eFKxME4i1ac9llbKdCSWXnbcsA5NkEFUHx8Qg==
X-Received: by 2002:a5d:59a3:0:b0:229:e090:9152 with SMTP id
 p3-20020a5d59a3000000b00229e0909152mr1434902wrr.93.1662566019782; 
 Wed, 07 Sep 2022 08:53:39 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id
 h23-20020a05600c2cb700b003a2f2bb72d5sm32723449wmc.45.2022.09.07.08.53.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 07 Sep 2022 08:53:39 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>, 57643 <at> debbugs.gnu.org
Subject: Re: [bug#57643] [PATCH 3/3] doc: Add a "System Images" chapter.
In-Reply-To: <20220907124633.17013-3-othacehe@HIDDEN>
References: <20220907124633.17013-1-othacehe@HIDDEN>
 <20220907124633.17013-3-othacehe@HIDDEN>
Date: Wed, 07 Sep 2022 17:47:39 +0200
Message-ID: <8635d3yyn8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57643
Cc: Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Wed, 07 Sep 2022 at 14:46, Mathieu Othacehe <othacehe@HIDDEN> wrote:

> +You can also use existing @code{image} record definitions and inherit
> +from them to simplify the @code{image} definition.  The @code{(gnu
> +system image)} module provides the following @code{image} definitions
> +variables.

extra =E2=80=99s=E2=80=99 in =E2=80=99definition=E2=80=99, no?


LTGM.

Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 7 Sep 2022 15:42:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 11:42:49 2022
Received: from localhost ([127.0.0.1]:55883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVxCS-0003Qa-TW
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 11:42:49 -0400
Received: from mail-wr1-f46.google.com ([209.85.221.46]:37454)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1oVxCR-0003QM-6s
 for 57643 <at> debbugs.gnu.org; Wed, 07 Sep 2022 11:42:47 -0400
Received: by mail-wr1-f46.google.com with SMTP id bq9so8135552wrb.4
 for <57643 <at> debbugs.gnu.org>; Wed, 07 Sep 2022 08:42:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:from:to:cc:subject:date;
 bh=e7UQg7uFw/xFia/e+bzuK/KOww5/5o+zFhaHz5Ud4fU=;
 b=jypJ8xkdOvAoH7Ytu8PzO8MS4S3VaZUuHdE43G86dP96SUww48E97LZSnG/xTRmePT
 ghiS6HRmylxwfbPV3YbIhZfRWBPfauyaZtMePVJnFTg2x15D2o19cfXVtMaICk4t20mQ
 0CeWpIQI86xjWheQ0WJacqWFdy61tgnHEA7jFgFVeL0DBN/aKH9DcZwarIxCjRMCQKnN
 jAP5caKEx27CjVUDZfTA2EuJ8Lc7VzVCLYYOM2FhH8nN1RpeBySNgA+AiL3lLJGtRXEU
 l1p99UdtXdyCnNw7hsnkr5uPbvpysZm1kUHkS1IvPBngv6WgDYmvoYQcKftWyJdTKTH3
 CAZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:x-gm-message-state:from:to:cc:subject:date;
 bh=e7UQg7uFw/xFia/e+bzuK/KOww5/5o+zFhaHz5Ud4fU=;
 b=1iVe7MDkNzZZk5Yf/2Xj9pgqHirlQGO9Bdu2o8BL596kYB08hFVifvhEca88bou+W/
 JTVn2CChSl8zKEE/BqhM+bZFB43xfgbBSkV+fLv2ZTUf+QMj9pvEnLFunkxPucsRISn5
 ClIlhYH+DImqJpNGSBZLh/ufIAy4A5hFM9EEHNGVvQKafXSNLZpxhkmFoMKPveBN9ckI
 Gv1AB8robtc5FzkwHZIHLVXurQeukmyXJUh35lFD+FjYEely3csqA/IQxTPOnN/xzUbp
 64Iu0/tOs1iH89QzD1ZTqTwAPek3ktvLNQCStv8pQqVv38fX9+rB1ktXraV783lLUmOf
 thAQ==
X-Gm-Message-State: ACgBeo2ZhhG8IRJBTjW5IttYPQ3Ovs2DBoTybNJkLoCiyKVekC0erE/R
 G3IItTSG2wUpUUhSvjAYtP8=
X-Google-Smtp-Source: AA6agR7SEadU8MEES6N3ndMxGT6HfaamCCR/aOLBqqXB5ycxG/lU4Yu9ZorksJ/zXiVcvJJLy/2ALw==
X-Received: by 2002:a5d:5581:0:b0:20f:fc51:7754 with SMTP id
 i1-20020a5d5581000000b0020ffc517754mr2606620wrv.413.1662565360149; 
 Wed, 07 Sep 2022 08:42:40 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id
 a1-20020adffac1000000b00226dba960b4sm18134980wrs.3.2022.09.07.08.42.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 07 Sep 2022 08:42:39 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>, 57643 <at> debbugs.gnu.org
Subject: Re: [bug#57643] [PATCH 2/3] doc: Add a "Platforms" chapter.
In-Reply-To: <20220907124633.17013-2-othacehe@HIDDEN>
References: <20220907124633.17013-1-othacehe@HIDDEN>
 <20220907124633.17013-2-othacehe@HIDDEN>
Date: Wed, 07 Sep 2022 17:37:49 +0200
Message-ID: <867d2fyz3m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57643
Cc: Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Mathieu,

On Wed, 07 Sep 2022 at 14:46, Mathieu Othacehe <othacehe@HIDDEN> wrote:

> +* platform Reference::          Detail of platform declarations.
    -^
Why not P?

> +@menu
> +* platform Reference::          Detail of platform declarations.

Idem.

> +@item @code{system}
> +The name of the corresponding system as defined in the @code{(gnu
> +packages bootstrap)} module.

The other items are a sentence.  Here I am missing the verb.


LTGM.


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 7 Sep 2022 12:47:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 08:47:27 2022
Received: from localhost ([127.0.0.1]:53890 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVuSk-0002Vt-I1
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:47:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1oVuSh-0002VK-Vd
 for 57643 <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:47:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59976)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>) id 1oVuSc-000725-Bm
 for 57643 <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:47:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=N2k/QKmnLGt2x1CmCmEIfmq1in10BBZALhX4RcaUqkQ=; b=Z0lX6fsCINcoAnqvmmYf
 5b8yUx73x5/Pl1b4xa6z4UHscj61Hp7umG/X3HBfyo+4xIfNTNxZutYABcwGD7rNZk/vPfqb5s4Vh
 XANriGYOtAmNy/Yq3DVOsqIbfG5+/3k1lNyeOSIu1eHVX2RXJKMPQ3CHzmgChCojpjVDIC2y/j06a
 DyBH7AwJDf2JhVe3ooZVjKcA6FUqTHBaSdXvfKXZavdT89YZ2b2n1ncr2dxAIPtxI+GB9kezYp1QB
 ui1/Kdz9CV8L5BbYmu1TCkA1p/F0vHWjAoSgKvEygqPauQyVXu4TTQXJzi9fbpTTu0Q0iw7MlfaPS
 Hoi3Al3yPYz1sw==;
Received: from ppp079167215024.access.hol.gr ([79.167.215.24]:46736
 helo=localhost.localdomain)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oVuSX-0002jZ-Py; Wed, 07 Sep 2022 08:47:14 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: 57643 <at> debbugs.gnu.org
Subject: [PATCH 3/3] doc: Add a "System Images" chapter.
Date: Wed,  7 Sep 2022 14:46:33 +0200
Message-Id: <20220907124633.17013-3-othacehe@HIDDEN>
X-Mailer: git-send-email 2.37.2
In-Reply-To: <20220907124633.17013-1-othacehe@HIDDEN>
References: <20220907124633.17013-1-othacehe@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57643
Cc: Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* doc/guix.texi ("System Images"): New chapter.
---
 doc/guix.texi | 498 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 498 insertions(+)

diff --git a/doc/guix.texi b/doc/guix.texi
index a24278e431..6a5824d4ab 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -183,6 +183,7 @@ Weblate} (@pxref{Translating Guix}).
 * Home Configuration::          Configuring the home environment.
 * Documentation::               Browsing software user manuals.
 * Platforms::                   Defining platforms.
+* System Images::               Creating system images.
 * Installing Debugging Files::  Feeding the debugger.
 * Using TeX and LaTeX::         Typesetting.
 * Security Updates::            Deploying security fixes quickly.
@@ -411,6 +412,13 @@ Platforms
 * platform Reference::          Detail of platform declarations.
 * Supported Platforms::         Description of the supported platforms.
 
+System Images
+
+* image Reference::             Detail of image declarations.
+* Instantiate an Image::        How to instantiate an image record.
+* image-type Reference::        Detail of image types declaration.
+* Image Modules::               Definition of image modules.
+
 Installing Debugging Files
 
 * Separate Debug Info::         Installing 'debug' outputs.
@@ -41241,6 +41249,496 @@ Platform targeting x86 64 bits CPUs running WIN32.
 Platform targeting x86 CPUs running GNU/Hurd.
 @end defvr
 
+@node System Images
+@chapter Creating System Images.
+
+@cindex system images
+When it comes to installing Guix System for the first time on a new
+machine, you can basically proceed in three different ways.  The first
+one is to use an existing operating system on the machine to run the
+@command{guix system init} command (@pxref{Invoking guix system}).  The
+second one, is to produce an installation image (@pxref{Building the
+Installation Image}). This is a bootable system which role is to
+eventually run @command{guix system init}.  Finally, the third option
+would be to produce an image that is a direct instantiation of the
+system you wish to run.  That image can then be copied on a bootable
+device such as an USB drive or a memory card.  The target machine would
+then directly boot from it, without any kind of installation procedure.
+
+The @command{guix system image} command is able to turn an operating
+system definition into a bootable image.  This command supports
+different image types, such as @code{efi-raw}, @code{iso9660} and
+@code{docker}.  Any modern @code{x86_64} machine will probably be able
+to boot from an @code{iso9660} image.  However, there are a few machines
+out there that require specific image types.  Those machines, in general
+using @code{ARM} processors, may expect specific partitions at specific
+offsets.
+
+This chapter explains how to define customized system images and how to
+turn them into actual bootable images.
+
+@menu
+* image Reference::        Detail of image declarations.
+* Instantiate an Image::   How to instantiate an image record.
+* image-type Reference::   Detail of image types declaration.
+* Image Modules::          Definition of image modules.
+@end menu
+
+@node image Reference
+@section @code{image} Reference
+
+The @code{image} record, described right after, allows you to define a
+customized bootable system image.
+
+@deftp {Data Type} image
+This is the data type representing a system image.
+
+@table @asis
+@item @code{name} (default: @code{#false})
+The image name as a symbol, @code{'my-iso9660} for instance.  The name
+is optional and it defaults to @code{#false}.
+
+@item @code{format}
+The image format as a symbol.  The following formats are supported:
+
+@itemize
+@item @code{disk-image}, a raw disk image composed of one or multiple
+partitions.
+
+@item @code{compressed-qcow2}, a compressed qcow2 image composed of
+one or multiple partitions.
+
+@item @code{docker}, a Docker image.
+
+@item @code{iso9660}, an ISO-9660 image.
+
+@end itemize
+
+@item @code{platform} (default: @code{#false})
+The @code{platform} record the image is targeting (@pxref{Platforms}),
+@code{aarch64-linux} for instance.  By default, this field is set to
+@code{#false} and the image will target the host platform.
+
+@item @code{size} (default: @code{'guess})
+The image size in bytes or @code{'guess}.  The @code{'guess} symbol,
+which is the default, means that the image size will be inferred based
+on the image content.
+
+@item @code{operating-system}
+The image's @code{operating-system} record that is instanciated.
+
+@item @code{partition-table-type} (default: @code{'mbr})
+The image partition table type as a symbol.  Possible values are
+@code{'mbr} and @code{'gpt}.  It default to @code{'mbr}.
+
+@item @code{partitions} (default: @code{'()})
+The image partitions as a list of @code{partition} records
+(@pxref{partition Reference}).
+
+@item @code{compression?} (default: @code{#true})
+Whether the image content should be compressed, as a boolean.  It
+defaults to @code{#true} and only applies to @code{'iso9660} image
+formats.
+
+@item @code{volatile-root?} (default: @code{#true})
+Whether the image root partition should be made volatile, as a boolean.
+
+This is achieved by using a RAM backed file system (overlayfs) that is
+mounted on top of the root partition by the initrd.  It defaults to
+@code{#true}.  When set to @code{#false}, the image root partition is
+mounted as read-write partition by the initrd.
+
+@item @code{shared-store?} (default: @code{#false})
+Whether the image's store should be shared with the host system, as a
+boolean.  This can be useful when creating images dedicated to virtual
+machines.  When set to @code{#false}, which is the default, the image's
+@code{operating-system} closure is copied to the image.  Otherwise, when
+set to @code{#true}, it is assumed that the host store will be made
+available at boot, using a @code{9p} mount for instance.
+
+@item @code{shared-network?} (default: @code{#false})
+Whether to use the host network interfaces within the image, as a
+boolean.  This is only used for the @code{'docker} image format.  It
+defaults to @code{#false}.
+
+@item @code{substitutable?} (default: @code{#true})
+Whether the image derivation should be substitutable, as a boolean.  It
+defaults to @code{true}.
+
+@end table
+@end deftp
+
+@node partition Reference
+@subsection @code{partition} Reference
+
+In @code{image} record may contain some partitions.
+
+@deftp {Data Type} partition
+This is the data type representing an image partition.
+
+@table @asis
+@item @code{size} (default: @code{'guess})
+The partition size in bytes or @code{'guess}.  The @code{'guess} symbol,
+which is the default, means that the partition size will be inferred
+based on the partition content.
+
+@item @code{offset} (default: @code{0})
+The partition's start offset in bytes, relative to the image start or
+the previous partition end.  It defaults to @code{0} which means that
+there is no offset applied.
+
+@item @code{file-system} (default: @code{"ext4"})
+The partition file system as a string, defaulting to @code{"ext4"}.  The
+supported values are @code{"vfat"}, @code{"fat16"}, @code{"fat32"} and
+@code{"ext4"}.
+
+@item @code{file-system-options} (default: @code{'()})
+The partition file system creation options that should be passed to the
+partition creation tool, as a list of strings.  This is only supported
+when creating @code{"ext4"} partitions.
+
+See the @code{"extended-options"} man page section of the
+@code{"mke2fs"} tool for a more complete reference.
+
+@item @code{label}
+The partition label as a mandatory string, @code{"my-root"} for
+instance.
+
+@item @code{uuid} (default: @code{#false})
+The partition UUID as an @code{uuid} record (@pxref{File Systems}).  By
+default it is @code{#false}, which means that the partition creation
+tool will attribute a random UUID to the partition.
+
+@item @code{flags} (default: @code{'()})
+The partition flags as a list of symbols.  Possible values are
+@code{'boot} and @code{'esp}.  The @code{'boot} flags should be set if
+you want to boot from this partition.  Exactly one partition should have
+this flag set, usually the root one. The @code{'esp} flag identifies a
+UEFI System Partition.
+
+@item @code{initializer} (default: @code{#false})
+The partition initializer procedure as a gexp.  This procedure is called
+to populate a partition.  If no initializer is passed, the
+@code{initialize-root-partition} procedure from the @code{(gnu build
+image)} module is used.
+
+@end table
+@end deftp
+
+@node Instantiate an Image
+@section Instantiate an Image
+
+Let's say you would like to create an MBR image with three distinct
+partitions:
+
+@itemize
+@item ESP vfat partition of 40MiB at offset 1024KiB.
+@item DATA ext4 partition of 50MiB containing a dummy data file.
+@item ROOT ext4 bootable partition containing the @code{%simple-os}
+operating-system.
+@end itemize
+
+You would then write the following image definition in a
+@code{my-image.scm} file for instance.
+
+@lisp
+(use-modules (gnu)
+             (gnu image)
+             (gnu tests)
+             (gnu system image)
+             (guix gexp))
+
+(define MiB (expt 2 20))
+
+(image
+ (format 'disk-image)
+ (operating-system %simple-os)
+ (partitions
+  (list
+   (partition
+    (size (* 40 MiB))
+    (offset (* 1024 1024))
+    (label "GNU-ESP")
+    (file-system "vfat")
+    (flags '(esp))
+    (initializer (gexp initialize-efi-partition)))
+   (partition
+    (size (* 50 MiB))
+    (label "DATA")
+    (file-system "ext4")
+    (initializer #~(lambda* (root . rest)
+                     (mkdir root)
+                     (call-with-output-file
+                         (string-append root "/data")
+                       (lambda (port)
+                         (format port "my-data"))))))
+   (partition
+    (size 'guess)
+    (label root-label)
+    (file-system "ext4")
+    (flags '(boot))
+    (initializer (gexp initialize-root-partition))))))
+@end lisp
+
+Note that the first and third partitions use generic initializers
+procedures, initialize-efi-partition and initialize-root-partition
+respectively.  The initialize-efi-partition installs a GRUB EFI loader
+that is loading the GRUB bootloader located in the root partition.  The
+initialize-root-partition instantiates a complete system as defined by
+the @code{%simple-os} operating-system.
+
+You can now run:
+
+@example
+guix system image my-image.scm
+@end example
+
+to instantiate the @code{image} definition.  That produces a disk image
+which has the expected structure:
+
+@example
+$ parted $(guix system image my-image.scm) print
+@dots{}
+Model:  (file)
+Disk /gnu/store/yhylv1bp5b2ypb97pd3bbhz6jk5nbhxw-disk-image: 1714MB
+Sector size (logical/physical): 512B/512B
+Partition Table: msdos
+Disk Flags:
+
+Number  Start   End     Size    Type     File system  Flags
+ 1      1049kB  43.0MB  41.9MB  primary  fat16        esp
+ 2      43.0MB  95.4MB  52.4MB  primary  ext4
+ 3      95.4MB  1714MB  1619MB  primary  ext4         boot
+@end example
+
+The size of the @code{boot} partition has been inferred to @code{1619MB}
+so that it is large enough to host the @code{%simple-os}
+operating-system.
+
+You can also use existing @code{image} record definitions and inherit
+from them to simplify the @code{image} definition.  The @code{(gnu
+system image)} module provides the following @code{image} definitions
+variables.
+
+@defvr {Scheme Variable} efi-disk-image
+A MBR disk-image composed of two partitions: a 64 bits ESP partition and
+a ROOT boot partition.  This image can be used on most @code{x86_64} and
+@code{i686} machines, supporting BIOS or UEFI booting.
+@end defvr
+
+@defvr {Scheme Variable} efi32-disk-image
+Same as @code{efi-disk-image} but with a 32 bits EFI partition.
+@end defvr
+
+@defvr {Scheme Variable} iso9660-image
+An ISO-9660 image composed of a single bootable partition.  This image
+can also be used on most @code{x86_64} and @code{i686} machines.
+@end defvr
+
+@defvr {Scheme Variable} docker-image
+A Docker image that can be used to spawn a Docker container.
+@end defvr
+
+Using the @code{efi-disk-image} we can simplify our previous
+@code{image} declaration this way:
+
+@example
+(use-modules (gnu)
+             (gnu image)
+             (gnu tests)
+             (gnu system image)
+             (guix gexp)
+             (ice-9 match))
+
+(define MiB (expt 2 20))
+
+(define data
+  (partition
+   (size (* 50 MiB))
+   (label "DATA")
+   (file-system "ext4")
+   (initializer #~(lambda* (root . rest)
+                    (mkdir root)
+                    (call-with-output-file
+                        (string-append root "/data")
+                      (lambda (port)
+                        (format port "my-data")))))))
+
+(image
+ (inherit efi-disk-image)
+ (operating-system %simple-os)
+ (partitions
+  (match (image-partitions efi-disk-image)
+    ((esp root)
+     (list esp data root)))))
+@end example
+
+This will give the exact same @code{image} instantiation but the
+@code{image} declaration is simpler.
+
+@node image-type Reference
+@section image-type Reference
+
+The @command{guix system image} command can, as we saw above, take a
+file containing an @code{image} declaration as argument and produce an
+actual disk image from it.  The same command can also handle a file
+containing an @code{operating-system} declaration as argument.  In that
+case, how is the @code{operating-system} turned into an image?
+
+That's where the @code{image-type} record intervenes.  This record
+defines how to transform an @code{operating-system} record into an
+@code{image} record.
+
+@deftp {Data Type} image-type
+This is the data type representing an image-type.
+
+@table @asis
+@item @code{name}
+The image-type name as a mandatory symbol, @code{'efi32-raw} for
+instance.
+
+@item @code{constructor}
+The image-type constructor, as a mandatory procedure that takes an
+@code{operating-system} record as argument and returns an @code{image}
+record.
+
+@end table
+@end deftp
+
+There are several @code{image-type} records provided by the @code{(gnu
+system image)} and the @code{(gnu system images @dots{})} modules.
+
+@defvr {Scheme Variable} efi-raw-image-type
+Build an image based on the @code{efi-disk-image} image.
+@end defvr
+
+@defvr {Scheme Variable} efi32-raw-image-type
+Build an image based on the @code{efi32-disk-image} image.
+@end defvr
+
+@defvr {Scheme Variable} qcow2-image-type
+Build an image based on the @code{efi-disk-image} image but with the
+@code{compressed-qcow2} image format.
+@end defvr
+
+@defvr {Scheme Variable} iso-image-type
+Build a compressed image based on the @code{iso9660-image} image.
+@end defvr
+
+@defvr {Scheme Variable} uncompressed-iso-image-type
+Build an image based on the @code{iso9660-image} image but with the
+@code{compression?} field set to @code{#false}.
+@end defvr
+
+@defvr {Scheme Variable} docker-image-type
+Build an image based on the @code{docker-image} image.
+@end defvr
+
+@defvr {Scheme Variable} raw-with-offset-image-type
+Build an MBR image with a single partition starting at a @code{1024KiB}
+offset.  This is useful to leave some room to install a bootloader in
+the post-MBR gap.
+@end defvr
+
+@defvr {Scheme Variable} pinebook-pro-image-type
+Build an image that is targeting the Pinebook Pro machine.  The MBR
+image contains a single partition starting at a @code{9MiB} offset.  The
+@code{u-boot-pinebook-pro-rk3399-bootloader} bootloader will be
+installed in this gap.
+@end defvr
+
+@defvr {Scheme Variable} rock64-image-type
+Build an image that is targeting the Rock64 machine.  The MBR image
+contains a single partition starting at a @code{16MiB} offset.  The
+@code{u-boot-rock64-rk3328-bootloader} bootloader will be installed in
+this gap.
+@end defvr
+
+@defvr {Scheme Variable} novena-image-type
+Build an image that is targeting the Novena machine.  It has the same
+characteristics as @code{raw-with-offset-image-type}.
+@end defvr
+
+@defvr {Scheme Variable} pine64-image-type
+Build an image that is targeting the Pine64 machine.  It has the same
+characteristics as @code{raw-with-offset-image-type}.
+@end defvr
+
+@defvr {Scheme Variable} hurd-image-type
+Build an image that is targeting a @code{i386} machine running the Hurd
+kernel.  The MBR image contains a single ext2 partitions with specific
+@code{file-system-options} flags.
+@end defvr
+
+@defvr {Scheme Variable} hurd-qcow2-image-type
+Build an image similar to the one built by the @code{hurd-image-type}
+but with the @code{format} set to @code{'compressed-qcow2}.
+@end defvr
+
+So, if we get back to the @code{guix system image} command taking an
+@code{operating-system} declaration as argument.  By default, the
+@code{efi-raw-image-type} is used to turn the provided
+@code{operating-system} into an actual bootable image.
+
+To use a different @code{image-type}, the @code{--image-type} option can
+be used.  The @code{--list-image-types} option will list all the
+supported image types.  It turns out to be a textual listing of all the
+@code{image-types} variables described just above (@pxref{Invoking guix
+system}).
+
+@node Image Modules
+@section Image Modules
+
+Let's take the example of the Pine64, an ARM based machine.  To be able
+to produce an image targeting this board, we need the following
+elements:
+
+@itemize
+@item An @code{operating-system} record containing at least
+an appropriate kernel (@code{linux-libre-arm64-generic}) and bootloader
+@code{u-boot-pine64-lts-bootloader}) for the Pine64.
+
+@item Possibly, an @code{image-type} record providing a way to
+turn an @code{operating-system} record to an @code{image} record
+suitable for the Pine64.
+
+@item An actual @code{image} that can be instantiated with the
+@command{guix system image} command.
+
+@end itemize
+
+The @code{(gnu system images pine64)} module provides all those
+elements: @code{pine64-barebones-os}, @code{pine64-image-type} and
+@code{pine64-barebones-raw-image} respectively.
+
+The module returns the @code{pine64-barebones-raw-image} in order for
+users to be able to run:
+
+@example
+guix system image gnu/system/images/pine64.scm
+@end example
+
+Now, thanks to the @code{pine64-image-type} record declaring the
+@code{'pine64-raw} @code{image-type}, one could also prepare a
+@code{my-pine.scm} file with the following content:
+
+@example
+(use-modules (gnu system images pine64))
+(operating-system
+  (inherit pine64-barebones-os)
+  (timezone "Europe/Athens"))
+@end example
+
+to customize the @code{pine64-barebones-os}, and run:
+
+@example
+$ guix system image --image-type=pine64-raw my-pine.scm
+@end example
+
+Note that there are other modules in the @code{gnu/system/images}
+directory targeting @code{Novena}, @code{Pine64}, @code{PinebookPro} and
+@code{Rock64} machines.
+
 @node Installing Debugging Files
 @chapter Installing Debugging Files
 
-- 
2.37.2





Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 7 Sep 2022 12:47:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 08:47:21 2022
Received: from localhost ([127.0.0.1]:53886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVuSf-0002VY-0y
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:47:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1oVuSc-0002V6-Ex
 for 57643 <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:47:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53464)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>) id 1oVuSX-00071s-6u
 for 57643 <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:47:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=yrL0WRd+LiRmFSYAc1zBfZax+8x78ik/+8hVp0GCZdc=; b=g48hourL2okV7I47fwzj
 KTF75KH4NAGZbIHxNDQ/rflUHCM6gMzLtMU9uCgDb2l6GRD6DKN3DwxcOwRnUiwqApG9aBKSptMNL
 Gdk5niNKDc4tm+asLYVksSEwA6YuOa6OlM42IZxgquKuKtaZXFvcp3biJGphakFr4H/71JsRm3Gpu
 uFVeh7XZi/DUsffbdBPvxrPKx2Jxo1V2pfHcS6fq3pBEHI8svGV+qjjApcxiM6ED3KC6cl59iCEpU
 pEAD/pSvg60/BR3TYa9sPY9Ev0GrCKbMbmT12fk3P8djjn9PkAYx+m9E+b1G2QTu0m7Rt9x9ImEJK
 XewjNK86t6mMfA==;
Received: from ppp079167215024.access.hol.gr ([79.167.215.24]:46736
 helo=localhost.localdomain)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oVuSW-0002jZ-IX; Wed, 07 Sep 2022 08:47:13 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: 57643 <at> debbugs.gnu.org
Subject: [PATCH 2/3] doc: Add a "Platforms" chapter.
Date: Wed,  7 Sep 2022 14:46:32 +0200
Message-Id: <20220907124633.17013-2-othacehe@HIDDEN>
X-Mailer: git-send-email 2.37.2
In-Reply-To: <20220907124633.17013-1-othacehe@HIDDEN>
References: <20220907124633.17013-1-othacehe@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57643
Cc: Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* doc/guix.texi ("Platforms"): New chapter.
("Porting"): Link it.
---
 doc/guix.texi | 103 +++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 102 insertions(+), 1 deletion(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 20abfee772..a24278e431 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -182,6 +182,7 @@ Weblate} (@pxref{Translating Guix}).
 * System Configuration::        Configuring the operating system.
 * Home Configuration::          Configuring the home environment.
 * Documentation::               Browsing software user manuals.
+* Platforms::                   Defining platforms.
 * Installing Debugging Files::  Feeding the debugger.
 * Using TeX and LaTeX::         Typesetting.
 * Security Updates::            Deploying security fixes quickly.
@@ -405,6 +406,11 @@ Defining Services
 * Shepherd Services::           A particular type of service.
 * Complex Configurations::      Defining bindings for complex configurations.
 
+Platforms
+
+* platform Reference::          Detail of platform declarations.
+* Supported Platforms::         Description of the supported platforms.
+
 Installing Debugging Files
 
 * Separate Debug Info::         Installing 'debug' outputs.
@@ -41140,6 +41146,101 @@ reader,, info-stnd, Stand-alone GNU Info}) and its Emacs counterpart
 bindings to navigate manuals.  @xref{Getting Started,,, info, Info: An
 Introduction}, for an introduction to Info navigation.
 
+@node Platforms
+@chapter Platforms
+
+The packages and systems built by Guix are intended, like most computer
+programs, to run on a CPU with a specific instruction set.  Those
+programs are often also targeting a specific kernel and system library.
+Those constraints are captured by Guix in @code{platform} records.
+
+@menu
+* platform Reference::          Detail of platform declarations.
+* Supported Platforms::         Description of the supported platforms.
+@end menu
+
+@node platform Reference
+@section @code{platform} Reference
+
+@deftp {Data Type} platform
+This is the data type representing a platform.
+
+@table @asis
+@item @code{target}
+The 'target' field must be a valid
+@uref{https://www.gnu.org/software/autoconf/manual/autoconf-2.68/html_node/Specifying-Target-Triplets.html,
+GNU triplet}, as a string.  It can be for instance,
+@code{"aarch64-linux-gnu"} and is used for cross-compilation purposes
+(@pxref{Cross-Compilation}).
+
+@item @code{system}
+The name of the corresponding system as defined in the @code{(gnu
+packages bootstrap)} module.  It can be for instance
+@code{"aarch64-linux"} or @code{"armhf-linux"}.  It is used to emulate a
+different host architecture, for instance @code{"i686-linux"} on
+@code{"x86_64-linux"}, or @code{"armhf-linux"} on @code{"x86_64-linux"},
+using the QEMU binfmt transparent emulation mechanism (@pxref{Native
+Builds}).
+
+@item @code{linux-architecture} (default: @code{#false})
+This optional string field is only relevant if the kernel is Linux.  In
+that case, it corresponds to the ARCH variable used when building Linux,
+@code{"mips"} for instance.
+
+@item @code{glibc-dynamic-linker}
+This field is the name of Glibc's dynamic linker for the corresponding
+system, as a string.  It can be @code{"/lib/ld-linux-armhf.so.3"}.
+
+@end table
+@end deftp
+
+@node Supported Platforms
+@section Supported Platforms
+
+@defvr {Scheme Variable} armv7-linux
+Platform targeting ARM v7 CPUs running GNU/Linux.
+@end defvr
+
+@defvr {Scheme Variable} aarch64-linux
+Platform targeting ARM v8 CPUs running GNU/Linux.
+@end defvr
+
+@defvr {Scheme Variable} mips64-linux
+Platform targeting MIPS 64 bits little endian CPUs running GNU/Linux.
+@end defvr
+
+@defvr {Scheme Variable} powerpc-linux
+Platform targeting PowerPC 32 bits CPUs running GNU/Linux.
+@end defvr
+
+@defvr {Scheme Variable} powerpc64le-linux
+Platform targeting PowerPC 64 bits little endian CPUs running GNU/Linux.
+@end defvr
+
+@defvr {Scheme Variable} riscv64-linux
+Platform targeting RISC-V 64 bits CPUs running GNU/Linux.
+@end defvr
+
+@defvr {Scheme Variable} i686-linux
+Platform targeting x86 CPUs running GNU/Linux.
+@end defvr
+
+@defvr {Scheme Variable} x86_64-linux
+Platform targeting x86 64 bits CPUs running GNU/Linux.
+@end defvr
+
+@defvr {Scheme Variable} i686-mingw
+Platform targeting x86 CPUs running WIN32.
+@end defvr
+
+@defvr {Scheme Variable} x86_64-mingw
+Platform targeting x86 64 bits CPUs running WIN32.
+@end defvr
+
+@defvr {Scheme Variable} hurd
+Platform targeting x86 CPUs running GNU/Hurd.
+@end defvr
+
 @node Installing Debugging Files
 @chapter Installing Debugging Files
 
@@ -41879,7 +41980,7 @@ connection between a GNU triplet (@pxref{Specifying Target Triplets, GNU
 configuration triplets,, autoconf, Autoconf}), the equivalent
 @var{system} in Nix notation, the name of the
 @var{glibc-dynamic-linker}, and the corresponding Linux architecture
-name if applicable.
+name if applicable (@pxref{Platforms}).
 
 Once the bootstrap tarball are built, the @code{(gnu packages
 bootstrap)} module needs to be updated to refer to these binaries on the
-- 
2.37.2





Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at 57643 <at> debbugs.gnu.org:


Received: (at 57643) by debbugs.gnu.org; 7 Sep 2022 12:47:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 08:47:19 2022
Received: from localhost ([127.0.0.1]:53882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVuSc-0002VI-GE
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:47:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1oVuSb-0002V4-Ge
 for 57643 <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:47:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53462)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>) id 1oVuSV-00071d-VK
 for 57643 <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:47:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:Subject:To:From:in-reply-to:
 references; bh=RChMoL0UAs9OfUYL8vjxUsMfC9FGFwSxE8zQ/5AZ+1k=; b=mwBh0WucMEimlW
 60i1rTgRMLkjuipRmNIdDXgyuCHlfJthiUpQeMeqppm74PVDpI7ihBafg3lpF81ImpN5Z4XLswuka
 zlNYx4eUh/y9ayrM80XwmddDRP/26y3y8M+1E6oDcNzyiLOVku5E7FPvNbJ0JoK2av2/4pEehkZUL
 ceTjwGpdxj6AEOReSOz7xlHpAdD0f/PFDKrf9piRBA6t9z2Socc8kbWFhVI8fLTlCQH9yiYeqpp0l
 DperQHm0mt/8KYsleE7OI1isuHMKTPlr4Y/vf264O32PptTSb4F1TZUOcz5JH1JUWpo1Z59n53KPc
 S1ollqa7mJOujd44PtdQ==;
Received: from ppp079167215024.access.hol.gr ([79.167.215.24]:46736
 helo=localhost.localdomain)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oVuSV-0002jZ-ET; Wed, 07 Sep 2022 08:47:11 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: 57643 <at> debbugs.gnu.org
Subject: [PATCH 1/3] image: Make the operating-system field mandatory.
Date: Wed,  7 Sep 2022 14:46:31 +0200
Message-Id: <20220907124633.17013-1-othacehe@HIDDEN>
X-Mailer: git-send-email 2.37.2
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57643
Cc: Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Make the operating-system field mandatory as creating an image without it
makes no sense. Introduce a new macro, image-without-os for the specific cases
where the image is only created to be inherited from afterwards.

* gnu/image.scm (<image>)[operating-system]: Make it mandatory.
* gnu/system/image.scm (image-without-os): New macro.
(efi-disk-image, efi32-disk-image, iso9660-image, docker-image,
raw-with-offset-disk-image): Use it.
* gnu/system/images/hurd.scm (hurd-disk-image): Ditto.
---
 gnu/image.scm              |  3 +--
 gnu/system/image.scm       | 41 +++++++++++++++++++++++++++++++++-----
 gnu/system/images/hurd.scm |  2 +-
 3 files changed, 38 insertions(+), 8 deletions(-)

diff --git a/gnu/image.scm b/gnu/image.scm
index 4a0068934e..68784deb12 100644
--- a/gnu/image.scm
+++ b/gnu/image.scm
@@ -170,8 +170,7 @@ (define-record-type* <image>
   (size               image-size  ;size in bytes as integer
                       (default 'guess)
                       (sanitize validate-size))
-  (operating-system   image-operating-system  ;<operating-system>
-                      (default #f))
+  (operating-system   image-operating-system)  ;<operating-system>
   (partition-table-type image-partition-table-type ; 'mbr or 'gpt
                       (default 'mbr)
                       (sanitize validate-partition-table-type))
diff --git a/gnu/system/image.scm b/gnu/system/image.scm
index a04363a130..709c3ab6ff 100644
--- a/gnu/system/image.scm
+++ b/gnu/system/image.scm
@@ -65,6 +65,7 @@ (define-module (gnu system image)
   #:use-module (ice-9 match)
   #:export (root-offset
             root-label
+            image-without-os
 
             esp-partition
             esp32-partition
@@ -102,6 +103,36 @@ (define root-offset (* 512 2048))
 ;; Generic root partition label.
 (define root-label "Guix_image")
 
+(define-syntax image-without-os
+  (lambda (x)
+    "Return an image record with the mandatory operating-system field set to
+#false.  This is useful when creating an image record that will serve as a
+parent image record."
+
+    (define (maybe-cons field acc)
+      ;; Return the given ACC list if FIELD is 'operating-system or the
+      ;; concatenation of FIELD to ACC otherwise.
+      (syntax-case field ()
+        ((f v)
+         (if (eq? (syntax->datum #'f) 'operating-system)
+             acc
+             (cons field acc)))))
+
+    (syntax-case x (image)
+      ;; Remove the operating-system field from the defined fields and then
+      ;; force it to #false.
+      ((_ fields ...)
+       (let loop ((fields #'(fields ...))
+                  (acc   '()))
+         (syntax-case fields ()
+           ((last)
+            #`(image
+               ;; Force it to #false.
+               (operating-system #false)
+               #,@(maybe-cons #'last acc)))
+           ((field rest ...)
+            (loop #'(rest ...) (maybe-cons #'field acc)))))))))
+
 (define esp-partition
   (partition
    (size (* 40 (expt 2 20)))
@@ -127,17 +158,17 @@ (define root-partition
    (initializer (gexp initialize-root-partition))))
 
 (define efi-disk-image
-  (image
+  (image-without-os
    (format 'disk-image)
    (partitions (list esp-partition root-partition))))
 
 (define efi32-disk-image
-  (image
+  (image-without-os
    (format 'disk-image)
    (partitions (list esp32-partition root-partition))))
 
 (define iso9660-image
-  (image
+  (image-without-os
    (format 'iso9660)
    (partitions
     (list (partition
@@ -146,11 +177,11 @@ (define iso9660-image
            (flags '(boot)))))))
 
 (define docker-image
-  (image
+  (image-without-os
    (format 'docker)))
 
 (define* (raw-with-offset-disk-image #:optional (offset root-offset))
-  (image
+  (image-without-os
    (format 'disk-image)
    (partitions
     (list (partition
diff --git a/gnu/system/images/hurd.scm b/gnu/system/images/hurd.scm
index 6da09b855a..2c64117c08 100644
--- a/gnu/system/images/hurd.scm
+++ b/gnu/system/images/hurd.scm
@@ -74,7 +74,7 @@ (define hurd-initialize-root-partition
                            #:wal-mode? #f)))))
 
 (define hurd-disk-image
-  (image
+  (image-without-os
    (format 'disk-image)
    (platform hurd)
    (partitions
-- 
2.37.2





Information forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Sep 2022 12:45:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 08:45:43 2022
Received: from localhost ([127.0.0.1]:53864 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVuR4-0002RG-Vd
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:45:43 -0400
Received: from lists.gnu.org ([209.51.188.17]:41574)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1oVuR4-0002R9-Fv
 for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:45:42 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46790)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>) id 1oVuR0-0003dB-Iq
 for guix-patches@HIDDEN; Wed, 07 Sep 2022 08:45:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55556)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>) id 1oVuR0-0006kd-AL
 for guix-patches@HIDDEN; Wed, 07 Sep 2022 08:45:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:Subject:To:From:in-reply-to:
 references; bh=LLVWdYrbuybykWDXA19wsQWH79nOwVCqaZP+lDCiE78=; b=MnyUvfFmLQ2la3
 GK8P8EKAQ8DyfN2svbValLlygBGT04Bk9nvD1tJUgM4FIoZbCtemW2lnUp87JwYtCvRU136LA+pRO
 OIQyqZJVpdizFDfgwY/InGBEp9tCL3jVgfMK3LqAMXFZTBsM8Dy4C3Pk0uuOtbOAVQzFYo23FTwGU
 nPO8PH2ZSp4yYf6NEYW7f/Y39yNYCMtcEh8w6b/5Usj2rAxp9XsZYGFfyNkuCyL5RwJg1/VKPTw1M
 oelnIPptKtHb6tlmO90KMaIRJYGwPs6hEsUkX3X8dwUwGXgvpdRz539m+kfImQL/12MOljm9JFk20
 AdXclwjlRVUEsFEdSKeQ==;
Received: from ppp079167215024.access.hol.gr ([79.167.215.24]:60742
 helo=localhost.localdomain)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oVuQc-0002TI-TO; Wed, 07 Sep 2022 08:45:33 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/3] Document the image API.
Date: Wed,  7 Sep 2022 14:44:49 +0200
Message-Id: <20220907124449.16904-1-othacehe@HIDDEN>
X-Mailer: git-send-email 2.37.2
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

I recently polished a bit the image API and added a new system test
(gnu tests image) that is validating the image creation process
itself with Guile-Parted.

This series makes the operating-system field of the <image> record
mandatory and adds two new chapters to the documentation: "Platforms"
and "System Images".

Thanks,

Mathieu

Mathieu Othacehe (3):
  image: Make the operating-system field mandatory.
  doc: Add a "Platforms" chapter.
  doc: Add a "System Images" chapter.

 doc/guix.texi              | 601 ++++++++++++++++++++++++++++++++++++-
 gnu/image.scm              |   3 +-
 gnu/system/image.scm       |  41 ++-
 gnu/system/images/hurd.scm |   2 +-
 4 files changed, 638 insertions(+), 9 deletions(-)

-- 
2.37.2





Acknowledgement sent to Mathieu Othacehe <othacehe@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#57643; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 25 Sep 2022 12:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.